/**
 * @file icmp-light_vars.h
 *
 * @brief Internet Control Message Protocol (ICMP) - minimal implemenation (variables).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: icmp-light_vars.h 2685 2008-06-25 16:38:56Z wittenbu $
 */

#ifndef IMCP_LIGHT_VARS_H
#define IMCP_LIGHT_VARS_H

#include "../types.h"
#include "icmp-light_types.h"



/**
 * @brief Currently active echo requests.
 */
list_t* C_ICMP_active_echo_requests;

/**
 * @brief Unique identifier for the next echo request/reply.
 */
uint16_t C_ICMP_next_echo_id;

/**
 * @brief Statistics counter for transmitted ICMP NOP packets.
 */
uint32_t C_ICMP_transmitted_nops;

/**
 * @brief Statistics counter for received ICMP NOP packets.
 */
uint32_t C_ICMP_received_nops;

#endif	// IMCP_LIGHT_VARS_H
