/**
 * @file service_server.h
 *
 * @brief Service - Server (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: service_server.h 2685 2008-06-25 16:38:56Z wittenbu $
 */

#ifndef SERVICE_SERVER_H
#define SERVICE_SERVER_H

#include "../types.h"
#include "service_types.h"

void handle_SERVICE_CLIENT_DATA_REQUEST(const packet_header_t* header, const SERVICE_CLIENT_DATA_REQUEST_packet_t* request);
void handle_SERVICE_CLIENT_DATA_UPDATE(const packet_header_t* header, const SERVICE_CLIENT_DATA_UPDATE_packet_t* update, const char* data, size_t data_size);
void handle_SERVICE_CLIENT_STREAM_REQUEST(const packet_header_t* header, const SERVICE_CLIENT_STREAM_REQUEST_packet_t* request);

#endif	// SERVICE_SERVER_H
